org.apache.cassandra.db.filter

## Class TombstoneOverwhelmingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.db.filter.TombstoneOverwhelmingException

All Implemented Interfaces:
  java.io.Serializable

    public class TombstoneOverwhelmingException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TombstoneOverwhelmingException(int numTombstones, int numRequested, java.lang.String ksName, java.lang.String cfName, java.lang.String lastCellName, java.lang.String slicesInfo, java.lang.String partitionKey)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLocalizedMessage()`
`java.lang.String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TombstoneOverwhelmingException

    public TombstoneOverwhelmingException(int numTombstones,
                                          int numRequested,
                                          java.lang.String ksName,
                                          java.lang.String cfName,
                                          java.lang.String lastCellName,
                                          java.lang.String slicesInfo,
                                          java.lang.String partitionKey)

### Method Detail

#### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `java.lang.Throwable`

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`